#
# spec file for package openstack-magnum
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define component magnum
%define groupname %{component}
%define username %{component}

%define version_unconverted 5.0.1.dev26

Name:           openstack-%{component}
Version:        5.0.1~dev26
Release:        4.2
Summary:        OpenStack container orchestration engines (Magnum)
License:        Apache-2.0
Group:          System/Management
Url:            https://launchpad.net/magnum
Source0:        http://tarballs.openstack.org/magnum/magnum-master.tar.gz
Source1:        %{name}.logrotate
Source2:        magnum-sudoers
Source3:        %name.conf
Source10:       %{name}-api.service
Source11:       %{name}-conductor.service
Source50:       README.config
BuildRequires:  crudini
BuildRequires:  fdupes
BuildRequires:  openstack-suse-macros
BuildRequires:  openstack-suse-sudo
BuildRequires:  python-Babel
BuildRequires:  python-Routes
BuildRequires:  python-Sphinx
BuildRequires:  python-WSME
BuildRequires:  python-WebOb
BuildRequires:  python-argparse
BuildRequires:  python-barbicanclient
BuildRequires:  python-base
BuildRequires:  python-docker
BuildRequires:  python-eventlet
BuildRequires:  python-fixtures
BuildRequires:  python-glanceclient
BuildRequires:  python-heatclient
BuildRequires:  python-iso8601
BuildRequires:  python-keystonemiddleware
BuildRequires:  python-mock
BuildRequires:  python-netaddr
BuildRequires:  python-neutronclient
BuildRequires:  python-novaclient
BuildRequires:  python-openstackdocstheme
BuildRequires:  python-oslo.concurrency
BuildRequires:  python-oslo.config
BuildRequires:  python-oslo.db
BuildRequires:  python-oslo.i18n
BuildRequires:  python-oslo.log
BuildRequires:  python-oslo.messaging
BuildRequires:  python-oslo.policy
BuildRequires:  python-oslo.utils
BuildRequires:  python-oslo.versionedobjects
BuildRequires:  python-oslosphinx
BuildRequires:  python-osprofiler
BuildRequires:  python-pbr
BuildRequires:  python-pecan
BuildRequires:  python-setuptools
BuildRequires:  python-six
BuildRequires:  python-sqlalchemy
BuildRequires:  python-stevedore
BuildRequires:  python-testtools
BuildRequires:  systemd-rpm-macros
%{?systemd_requires}
Requires:       logrotate
Requires:       openstack-suse-sudo
Requires:       python >= 2.7
Requires:       python-magnum = %{version}
Requires:       python-oslo.config >= 4.6.0
Requires(pre):  pwdutils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Magnum is an OpenStack project which offers container orchestration engines for
deploying and managing containers as first class resources in OpenStack.


%package -n python-magnum
Summary:        OpenStack container orchestration engines (Magnum) - Python module
Group:          Development/Languages/Python
Requires:       python >= 2.7
Requires:       python-Babel >= 2.3.4
Requires:       python-PyYAML >= 3.10
Requires:       python-SQLAlchemy >= 1.0.10
Requires:       python-WSME >= 0.8.0
Requires:       python-WebOb >= 1.7.1
Requires:       python-Werkzeug >= 0.7
Requires:       python-alembic >= 0.8.10
Requires:       python-barbicanclient >= 4.0.0
Requires:       python-cliff >= 2.8.0
Requires:       python-cryptography >= 1.9
Requires:       python-decorator >= 3.4.0
Requires:       python-docker >= 2.0.0
Requires:       python-enum34 >= 1.0.4
Requires:       python-eventlet >= 0.18.2
Requires:       python-glanceclient >= 2.8.0
Requires:       python-heatclient >= 1.10.0
Requires:       python-iso8601 >= 0.1.11
Requires:       python-jsonpatch >= 1.16
Requires:       python-keystoneauth1 >= 3.2.0
Requires:       python-keystoneclient >= 3.8.0
Requires:       python-keystonemiddleware >= 4.17.0
Requires:       python-kubernetes >= 1.0.0
Requires:       python-marathon >= 0.8.6
Requires:       python-neutronclient >= 6.3.0
Requires:       python-novaclient >= 9.1.0
Requires:       python-oslo.concurrency >= 3.20.0
Requires:       python-oslo.context >= 2.14.0
Requires:       python-oslo.db >= 4.24.0
Requires:       python-oslo.i18n >= 3.15.3
Requires:       python-oslo.log >= 3.30.0
Requires:       python-oslo.messaging >= 5.29.0
Requires:       python-oslo.middleware >= 3.31.0
Requires:       python-oslo.policy >= 1.23.0
Requires:       python-oslo.reports >= 1.18.0
Requires:       python-oslo.serialization >= 2.18.0
Requires:       python-oslo.service >= 1.24.0
Requires:       python-oslo.utils >= 3.28.0
Requires:       python-oslo.versionedobjects >= 1.25.0
Requires:       python-osprofiler >= 1.4.0
Requires:       python-pecan >= 1.0.0
Requires:       python-pycadf >= 1.1.0
Requires:       python-requests >= 2.14.2
Requires:       python-six >= 1.9.0
Requires:       python-stevedore >= 1.20.0
Requires:       python-taskflow >= 2.7.0

%description -n python-magnum
OpenStack container orchestration engines.

This package contains the core Python module of OpenStack Magnum.

%package api
Summary:        OpenStack container orchestration engines (Magnum) - API
Group:          Development/Languages/Python
Requires:       %{name} = %{version}

%description api
OpenStack container orchestration engines.

This package contains the OpenStack Magnum API.

%package conductor
Summary:        OpenStack container orchestration engines (Magnum) - Conductor
Group:          Development/Languages/Python
Requires:       %{name} = %{version}

%description conductor
OpenStack container orchestration engines.

This package contains the OpenStack Magnum Conductor.

%package test
Summary:        OpenStack container orchestration engines (Magnum) - Testsuite
Group:          Development/Languages/Python
Requires:       %{name} = %{version}
Requires:       git-core
Requires:       python-fixtures >= 3.0.0
Requires:       python-mock >= 2.0.0
Requires:       python-os-testr >= 1.0.0
Requires:       python-oslotest >= 1.10.0
Requires:       python-pbr >= 2.0.0
Requires:       python-python-subunit >= 0.0.18
Requires:       python-pytz >= 2013.6
Requires:       python-testrepository >= 0.0.18
Requires:       python-testscenarios >= 0.4
Requires:       python-testtools >= 1.4.0

%description test
The OpenStack Magnum testsuite. It is used to verify the
functionality of OpenStack Magnum.

%prep
%setup -q -n %{component}-%{version_unconverted}
%openstack_cleanup_prep

%build
python setup.py build
python setup.py build_sphinx -b man

### configuration files
PYTHONPATH=. oslo-config-generator --config-file etc/magnum/magnum-config-generator.conf \
                                            --output-file etc/magnum.conf.sample

%install
python setup.py install --skip-build --prefix=%{_prefix} --root=%{buildroot}

### directories
install -d -m 750 %{buildroot}%{_localstatedir}/{lib,log}/%{component}
install -d -m 750 %{buildroot}%{_localstatedir}/lib/%{component}/certificates
install -d -m 750 %{buildroot}%{_localstatedir}/cache/%{component}
install -d -m 700 %{buildroot}%{_localstatedir}/run/%{component}
install -D -m 644 %{SOURCE3} %{buildroot}/%_tmpfilesdir/%name.conf

### configuration files
install -p -D -m 640 %{SOURCE50} %{buildroot}%{_sysconfdir}/%{component}/README.config
install -p -D -m 644 etc/%{component}.conf.sample %{buildroot}%{_sysconfdir}/%{component}/%{component}.conf
install -p -D -m 644 etc/%{component}/{api-paste.ini,policy.json} %{buildroot}%{_sysconfdir}/%{component}/
install -d -m 755 %{buildroot}%{_sysconfdir}/%{component}/%{component}.conf.d

# bash-completion/logrotate/etc.
install -p -D -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

# Install systemd unit services
mkdir -p %{buildroot}%{_sbindir} %{buildroot}%{_unitdir}
install -p -D -m 444 %{SOURCE10} %{buildroot}%{_unitdir}/%{name}-api.service
install -p -D -m 444 %{SOURCE11} %{buildroot}%{_unitdir}/%{name}-conductor.service
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-api
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-conductor

### sudoers configuration for magnum-rootwrap:
install -D -m 440 %{SOURCE2} %{buildroot}%{_sysconfdir}/sudoers.d/openstack-magnum

### documentation
install -d %{buildroot}%{_mandir}/man1
install -m 644 doc/build/man/*.1 %{buildroot}%{_mandir}/man1

### tempest tests
###cp -a manila_tempest_tests %{buildroot}%{python_sitelib}/

### test subpackage
%openstack_test_package_install
%fdupes %{buildroot}%{_localstatedir}/lib/%{name}-test

### misc
%fdupes %{buildroot}%{python_sitelib}/%{component}

### set default configuration
%define magnum_conf %{buildroot}%{_sysconfdir}/%{component}/%{component}.conf.d/010-%{component}.conf
crudini --set %{magnum_conf} DEFAULT log_dir /var/log/%{component}
crudini --set %{magnum_conf} DEFAULT state_path /var/lib/%{component}
crudini --set %{magnum_conf} oslo_concurrency lock_path /var/run/%{component}
crudini --set %{magnum_conf} oslo_policy policy_file /etc/magnum/policy.json
crudini --set %{magnum_conf} certificates cert_manager_type local

%pre
%openstack_pre_user_group_create %{username} %{groupname}

%post
%tmpfiles_create %{_tmpfilesdir}/%{name}.conf

%pre api
%service_add_pre %{name}-api.service

%post api
%service_add_post %{name}-api.service

%preun api
%service_del_preun %{name}-api.service

%postun api
%restart_on_update %{name}-api.service
%service_del_postun %{name}-api.service

%pre conductor
%service_add_pre %{name}-conductor.service

%post conductor
%service_add_post %{name}-conductor.service

%preun conductor
%service_del_preun %{name}-conductor.service

%postun conductor
%restart_on_update %{name}-conductor.service
%service_del_postun %{name}-conductor.service

%files
%defattr(-,root,root)
%doc LICENSE README.rst
%dir %attr(0750, %{username}, %{groupname}) %{_localstatedir}/lib/%{component}
%dir %attr(0750, %{username}, %{groupname}) %{_localstatedir}/lib/%{component}/certificates
%dir %attr(0750, %{username}, %{groupname}) %{_localstatedir}/cache/%{component}
%dir %attr(0750, %{username}, %{groupname}) %{_localstatedir}/log/%{component}
%_tmpfilesdir/%name.conf
%dir %{_sysconfdir}/%{component}
%dir %{_sysconfdir}/%{component}/%{component}.conf.d/
%{_sysconfdir}/%{component}/README.config
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config %{_sysconfdir}/sudoers.d/openstack-magnum
%config %attr(0640, root, %{groupname}) %{_sysconfdir}/%{component}/api-paste.ini
%config(noreplace) %attr(0640, root, %{groupname}) %{_sysconfdir}/%{component}/%{component}.conf
%config(noreplace) %attr(0640, root, %{groupname}) %{_sysconfdir}/%{component}/%{component}.conf.d/010-%{component}.conf
%config %{_sysconfdir}/%{component}/policy.json
%{_bindir}/%{component}-db-manage
%{_bindir}/%{component}-driver-manage
%{_mandir}/man1/%{component}.1%{?ext_man}

%files -n python-%{component}
%defattr(-,root,root,-)
%doc LICENSE
%{python_sitelib}/%{component}/
%{python_sitelib}/%{component}-*.egg-info
%exclude %{python_sitelib}/%{component}/tests/unit

%files api
%defattr(-,root,root,-)
%doc LICENSE
%{_unitdir}/%{name}-api.service
%{_sbindir}/rc%{name}-api
%{_bindir}/%{component}-api

%files conductor
%defattr(-,root,root,-)
%doc LICENSE
%{_unitdir}/%{name}-conductor.service
%{_sbindir}/rc%{name}-conductor
%{_bindir}/%{component}-conductor

%files test
%defattr(-,root,root)
%{_localstatedir}/lib/%{name}-test/
%{python_sitelib}/%{component}/tests/unit/

%changelog
* Tue Jan 30 2018 dmueller@suse.com
- switch to python-docker (bsc#1076599)
* Wed Jan 24 2018 dmueller@suse.com
- make user directory not world readable
* Fri Sep 22 2017 cloud-devel@suse.de
- Update to version magnum-5.0.1.dev26:
  * Updated from global requirements
  * Avoid running periodic processes inside each worker process
* Sat Sep 16 2017 cloud-devel@suse.de
- Update to version magnum-5.0.1.dev24:
  * Update CoreDNS to 011
  * Updated from global requirements
  * k8s: Fix node-exporter manifest
* Fri Sep  8 2017 cloud-devel@suse.de
- Update to version magnum-5.0.1.dev19:
  * Use newer location for iso8601 UTC
  * Allow labels on cluster create
* Sun Sep  3 2017 cloud-devel@suse.de
- Update to version magnum-5.0.1.dev16:
  * Updated from global requirements
* Wed Aug 30 2017 cloud-devel@suse.de
- Update to version magnum-5.0.1.dev15:
  * Updated from global requirements
  * Imported Translations from Zanata
* Tue Aug 29 2017 cloud-devel@suse.de
- Update to version magnum-5.0.1.dev12:
  * Clean-up server names in drivers
* Fri Aug 25 2017 cloud-devel@suse.de
- Update to version magnum-5.0.1.dev11:
  * Imported Translations from Zanata
  * Fix no\_proxy evaluation for Swarm clusters
  * Deal with db\_exc.DBDuplicate of conductor startup
* Thu Aug 24 2017 cloud-devel@suse.de
- Update to version magnum-5.0.1.dev6:
  * Update reno for stable/pike
  * Remove TENANT\_NAME from /etc/sysconfig/heat-params
  5.0.0
  * Trivial typo fix
  * Add a kube\_tag label to control the k8s containers to pull
  * Launch kube-proxy as a system container
  * Launch k8s scheduler & controller-manager as system containers
  * Remove unused config periodic\_global\_stack\_list
  * Fix usage of --kubelet-preferred-address arg for apiserver
  * Add attribute 'disabled' for service-list
* Wed Aug 23 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev320:
  * Use atomic containers for kubelet & apiserver
* Tue Aug 22 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev319:
  * Move to OpenStack client
* Mon Aug 21 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev317:
  * Remove /etc/ssl/certs in the controller manager pod
  * Add default for [cinder]default\_docker\_volume\_type
  * tests: Use swarm-mode for api tests
  * Remove deprecated usage of CORS.set\_latent
  * Remove repeated auth\_url
* Mon Aug 21 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev309:
  * Updated from global requirements
  * Copy service configurations also
* Wed Aug 16 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev306:
  * Imported Translations from Zanata
* Fri Aug  4 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev305:
  * Don't poll heat if no stack exists
  * Fix some reST field lists in docstrings in magnum
* Tue Aug  1 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev301:
  * Fix barbicanclient and swarm-ci
* Fri Jul 28 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev300:
  * Extract kubernetes baremetal ports
* Thu Jul 27 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev299:
  * Move all kubernetes files in /etc/kubernetes
  * Add Cinder-API-ver to k8s-cloud-provider config
* Wed Jul 26 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev295:
  * [doc-migration] Adds configuration folder
  * [doc-migration] Add user folder for related documents
  * [doc-migration] Add install folder for related documents
  * Use kubernetes service name in cert request
  * [doc-migration] Add admin folder for related documents
* Tue Jul 25 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev289:
  * k8s: Fix apiserver configuration
  * Updated from global requirements
* Fri Jul 21 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev286:
  * Update URL home-page in documents according to document migration
* Thu Jul 20 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev284:
  * Updated from global requirements
  * Copy cluster nodes logs always whether tests pass or fail
  * [Fix ironic gate] Use IP\_VERSION=4 in devstack local.conf
* Wed Jul 19 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev279:
  * Add swarm-mode driver
* Tue Jul 18 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev278:
  * Add a hacking rule for string interpolation at logging String interpolation should be delayed to be handled by the logging code, rather than being done at the point of the logging call. See the oslo i18n guideline \* https://docs.openstack.org/oslo.i18n/latest/user/guidelines.html#adding-variables-to-log-messages and \* https://github.com/openstack-dev/hacking/blob/master/hacking/checks/other.py#L39
* Sun Jul 16 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev276:
  * Add reno for etcd\_volume\_size label
  * ci: Remove \*\_ssh ironic drivers
* Thu Jul 13 2017 tbechtold@suse.com
- Update to version magnum-4.1.1.dev272:
  * Use 'sudo' to access /etc/sysconfig/heat-params
  * Add warning-is-error in setup.cfg
  * Move the contributor related docs to contributor/ dir
  * Update Documentation link in README
  * Switch from oslosphinx to openstackdocstheme
  * [opensuse] Enabling external loadbalancer feature
* Thu Jul  6 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev261:
  * k8s-fedora: Add etcd\_volume\_size label
  * Fix cluster inheritence of docker\_volume\_size
* Thu Jun 29 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev258:
  * Updated from global requirements
  * [opensuse] Increase wait\_condition\_timeout
  * Update .gitignore to ignore .eggs
  * Allow docker\_volume\_size on cluster create
* Wed Jun 28 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev250:
  * Use DIB\_RELEASE to set fedora-atomic variable defaults
  * Enable some off-by-default checks
  * Add needed details for Magnum Project
* Fri Jun 23 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev244:
  * Set access\_policy for messaging's dispatcher
  * Swarm: simplify heat WC signalling with $WAIT\_CURL
* Wed Jun 21 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev241:
  * Updated from global requirements
* Sat Jun 17 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev240:
  * Use lowercase keys for swarm waitcondition signal
  * Fix typo in magnum/hacking/checks.py for consistency
  * Add api-ref about quotas-delete
  * Updated from global requirements
  * Revert "Using assertFalse(A) instead of assertEqual(False, A)"
  * Move to docker python SDK 2.x.x
  * fix the function named get\_count\_all
  * Use get\_rpc\_transport instead of get\_transport
* Mon Jun 12 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev225:
  * Fix the unexist url
  * Updated from global requirements
* Sun Jun 11 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev222:
  * Fix wrong references url to right
* Sat Jun 10 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev220:
  * Remove duplicated hacking rule M318,M319
  * Updated from global requirements
  * Fix the API Microversions's doc
* Fri Jun  9 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev215:
  * Replace "bay" with "cluster" in user guide
* Wed Jun  7 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev213:
  * Updated from global requirements
* Tue Jun  6 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev212:
  * Update the 'service-list' api-ref
  * Fix html\_last\_updated\_fmt for Python3
  * Add 'keypair' to 'list all clusters' response
* Sat Jun  3 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev206:
  * k8s-fedora: Add docker\_volume\_type label
  * Updated from global requirements
  * Add DC/OS dependency installation script
  * Optimize the link address
  * Add reno for docker\_volume\_type label
  * Fix database grant instructions in install guide
* Fri Jun  2 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev195:
  * swarm: Add docker\_volume\_type label
  * Use eventlet executor in rpc\_service
  * Update SUSE distro information in install guide
* Thu Jun  1 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev189:
  * Document docker\_volume\_type option
  * doc: Add kubernetes example in Launch an instance
* Tue May 30 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev185:
  * Update link to k8s doc and minor formatting
  * Remove disable script of firewalld
  * Specified cgroup driver
* Sun May 28 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev180:
  * Updated from global requirements
* Fri May 26 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev179:
  * Updated from global requirements
  * doc: Add Xenial to devstack quickstart guide
* Fri May 26 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev176:
  * Updated from global requirements
  * Add CoreDNS deployment in kubernetes atomic
  * reno: add custom keystone endpoint\_type in configuration
  * [k8s\_coreos] use host-gw as flannel default driver
  * [k8s\_coreos] update kubelet args
  * [k8s\_coreos] enable CoreDNS addon
  * Fix the link to Cluster Template in quickstart
  * Add more details to example template
  * [k8s\_coreos] update to etcdv3 and kube 1.6
* Tue May 23 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev159:
  * [suse] Build openSUSE Leap 42.1 OpenStack Magnum image
  * [k8s-fedora-atomic] fix multimaster cluster
  * Add release note and doc changes for kube dashboard
  * [suse] Add TLS support for k8s\_opensuse\_v1 driver
* Sun May 21 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev151:
  * Ignore: Try pxe\_ipmitool since vbmc is used
* Sat May 20 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev149:
  * update doc dcos\_centos\_v1/README.md
  * fix the devstack\_neutron's url
  * Updated from global requirements
* Thu May 18 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev144:
  * Use 'virt\_type=kvm' in devstack vm if supported
  * Update Steps for creating dib images
  * Updated from global requirements
* Wed May 17 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev140:
  * Update doc 'functional-test.rst'
  * TrivialFix: Typo in launch-instances.rst
  * Add Command for using default docker log-driver
* Mon May 15 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev135:
  * Updated from global requirements
  * Update api-ref about 'ca-show'
  * Pass a mutable target to oslo policy enforcer
  * update the detail of the latest fedora atomic image
  * informations -> information
  * [k8s\_coreos] Avoid regenerating certs on reboot
* Fri May 12 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev123:
  * [suse] Add DOCKER\_DEV to /etc/fstab
* Thu May 11 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev121:
  * CI: multinode job with larger flavors
  * Fix rexray systemd unit
  * Enable custom keystone endpoint\_type in templates
  * [k8s\_coreos] Add kubernetes dashboard
  * Add kube dashboard and remove kube ui
  * Remove kube-examples software configs
  * Support dcos installation on centos vm cluster
* Wed May 10 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev107:
  * Add WSGI script to deploy Magnum behind Apache
* Sat May  6 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev105:
  * Support magnum-conductor multiple process workers
* Thu May  4 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev103:
  * Updated from global requirements
  * Set clustertemplate:publish to admin only
  * Add net creating in install-guide
* Wed May  3 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev97:
  * Added tempest to test-requirements
  * [suse] Remove defaults network from child templates
* Sun Apr 30 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev93:
  * Adding quota unit test
  * Updated from global requirements
  * Fix config type of copy\_logs from string to Boolean
  * Fix keystone auth\_uri and auth\_url
  * Add reno for cluster\_user\_trust option
  * Use 'os\_distro' instead of 'os-distro'
  * Indicating the location tests directory in oslo\_debug\_helper
  * Pass 'context' to create\_client\_files method
  * Set is\_admin flag correctly in RequestContext
  * Fix hyperkube\_image\_repo
  * [suse] Add SERVICE\_ACCOUNT\_KEY to Kuberneres cluster configuration
  * Make INSECURE\_REGISTRY\_URL works for CoreOS
  * Remove $myip when unnecessary and use KUBE\_NODE\_IP
  * Make KUBE\_ALLOW\_PRIV used for api server
  * Remove unused enforce\_cluster\_types decorator
  * Fix: Pass external\_network to kube-minion
  * Update MY\_IP to use curl and metadata instead of cut
  * Fix getting capacity in k8s\_monitor
  * [k8s\_ironic] Move software configs out of minion
  * [k8s\_ironic] Move wc out of master resource group
  * [k8s\_ironic] Move wc out of minion resource group
  * [devstack] Copy bash\_completion script during magnum installation
  * [suse] Update security group for kube\_masters
  * [suse] Add min and max to flannel\_network\_subnet option
  * [suse] Update k8s\_opensuse\_v1 driver
  * Remove the usage of MagnumObjectDictCompat from magnum\_service
  * [suse] Tune default value for docker\_volume\_size
  * Remove provision\_state parameters(specific to ironic)
  * [k8s\_coreos] Enable TLS in Etcd cluster
  * [k8s\_coreos] Remove podmaster
  * Import magnum.i18n.\_ in driver/heat/driver.py
  * [k8s\_fedora\_atomic] Enable TLS in Etcd cluster
  * Remove docker\_volume\_size from functional-test
  * Add a SELinux policy to relabel files in /usr/local/bin as bin\_t
  * [doc|install\_guide] Fix 'host' config param in [api] section
  * [k8s\_fedora\_atomic] Remove podmaster
  * k8s\_ironic: fix minion template
  * Add RESUME\_FAILED to cluster's status field
  * Remove KEYSTONE\_CATALOG\_BACKEND from magnum plugin
  * Add use of label 'swarm\_strategy' in userguide
  * Add http\_proxy\_to\_wsgi to api-paste
  * Use function is\_valid\_mac from oslo.utils
  * Replace naked exceptions in barbican\_cert\_manager
  * add cluster and clustertemplate to fake\_policy.py
  * Fix typo: clustser-->cluster in python\_client\_base.py
  * Centralize config option: docker\_registry section
  * Remove fixed\_network from functional tests
  * [k8s\_common]Remove enable-etcd.sh
  * [mesos]Fix output param: mesos\_slaves\_private
  * Remove safe\_utils.py
  * Remove k8s\_manifest.py
  * Centralize config option: keystone\_auth section
  * Centralize config option: cluster\_heat section
  * Centralize config option: cluster\_template section
  * Fix k8s\_fedora to work with cinder volume driver
  * Remove duplicate AUTH\_URL parameter
  * [install] Fix keystone\_authtoken and trust sections
  * [suse] Fix OS::stack\_id in kubeminion
  * Change the type of flannel\_network\_subnetlen to 'number'
  * Fixed fetching api\_server address
  * Improve unit test coverage for cmd/db\_manage.py
  * Make magnum manage\_template read config file and increase coverage
  * Fix bay status: after bay-delete status is not DELETE\_IN\_PROGRESS
  * Simplify test\_create\_list\_sign\_delete\_clusters() tempest test
  * Add floating\_ip\_enabled field to baymodel
  * Set bay status: DELETE\_IN\_PROGRESS before updated by poll
  * Correct the get\_file patch in CoreOS template
  * Change stacks:global\_index heat policy to context\_is\_admin
  * Fix for enum type docker\_storage\_driver
  * Add hacking rule for explicit import of \_ function
  * k8s\_coreos\_driver: cleanup file naming
  * Set swarm api\_address protocol to tcp on all cases
  * Add check on docker\_volume\_size
  * modify test\_assert\_is\_not\_none
  * Replace "LOG.info(\_" with "LOG.info(\_LI"
  * Replace assertEqual(None, \*) with assertIsNone in tests
  * Fix OS::stack\_id is set as stack id instead of private ip
  * Add "WAIT\_CURL" parameter to the template of swarm
  * Add description to the output\_key of stack
  * Misspelled text corresponding to method 'get\_template\_definition' is commited
  * Change the type of flannel\_network\_subnetlen to 'number'
  * Delete unused discovery\_url for swarm
  * Bay\_create\_timeout should be set to 60 default
  * Add fixed\_subnet field to baymodel
  * Add master\_lb\_enabled field to baymodel
  * Delete unused cert\_group variable
  * Add x509keypair\_cert\_manager to store certs in DB
  * Set 'nested\_depth=2' when calling heat.resources.list
  * First check whether output\_value is None
  * Support trustee\_domain\_name in config file
  * Fix get\_coe\_valodator() clear unused Validator
  * Delete unused \_admin\_client variable
  * devstack: fix magnum service name in is\_magnum\_enabled
  * Fix spelling error on get\_docker\_quantity method
  * Use oslo\_utils.is\_int\_like support
  * Use oslo\_utils.uuidutils support
  * Add accidentally deleted test\_hooks.py
  * Add insecure\_registry column to baymoddel
  * Add mesos\_slave\_executor\_env\_variables validate
  * Code refactoring in conductor/k8s\_api.py
  * Add mesos\_slave\_image\_providers validate
  * Revert "Remove KUBE\_API\_PUBLIC\_ADDRESS"
  * Add mesos\_slave\_isolation validate
  * Remove KUBE\_API\_PUBLIC\_ADDRESS
  * Revert "Gate: fix AttributeError: load\_pem\_x509\_csr"
  * Cleanup duplicated auth\_url in k8scluster/master template
  * Use bay to init K8sAPI instead of bay\_uuid
  * Gate: fix AttributeError: load\_pem\_x509\_csr
  * The type of node\_count is number
  * Cleanup dict usage in bay\_conductor
  * Pass host\_config if docker api version >=1.19
  * Refactor bay\_conductor to split trust methods
  * Mark trustee\_domain\_admin\_password secret
  * Add missing cinder\_client config
  * remove devstack/create\_magnum\_conf\_magnum\_network
  * Functional: Set private key outside of remote\_exec
  * Add external\_network unit test for post baymodel
  * Add flavor\_id unit test for post baymodel
  * Add auth\_url
  * Use obj\_attr\_is\_set to check whether an attr is set in oslo\_versionedobject
  * Convert bytes to string in get\_id for python3 compatibility
  * Use six.moves.reload\_module instead of builltin reload
  * Get region\_name that volume\_driver rexray region\_name needs
  * Remove unused attribute "ssh\_authorized\_key"
  * Remove redundant password when create create\_trustee
  * Rename get\_rpc\_resource to get\_resource
  * Init oslo\_context before magnum context init
  * Avoid to create $SCREEN\_LOGDIR
  * Add master\_flavor\_id to baymodel data funtion test
  * Add tempest logging to bay\_client and test\_bay helper methods
  * Add \`q-lbaas\` to manual-devstack.rst
  * API: Move validate\_properties to REST API layer
  * Fixed a DBerror on reducing node\_count on bay
  * Removed unused config coreos\_discovery\_token\_url
  * Replace logging with oslo\_log
  * Validates baymodel volume\_driver patch requests
  * Validates baymodel volume\_driver requests
  * Adds volume\_driver in db api
  * Revert "fixed\_network should be fixed\_network\_cidr"
  * Fix the network\_driver update invalid parameter can be update
  * "notification\_driver" from group "DEFAULT" is deprecated
  * Enable test\_magnum\_service\_list\_needs\_admin
  * Remove unnecessary setting of default node\_count
  * Fix doc comment for \`baymodel\_id\` attr
  * Add mandatory\_attrs to BayModelPatchType
  * Add policy enforcement unittest to magnum\_service
  * Fix the content of 'discovery\_endpoint' not show up in exception
  * oslo\_messaging requires stop() before wait()
  * Correct wrong parameter passing when create k8s\_api in  k8s monitor
  * Do not use \_\_builtin\_\_ in python3
  * Use six.moves.reload\_module instead of builtin reload
  * Devstack: Fix typo of MANGUM\_GUEST\_IMAGE\_URL
  * Raise exception when failed to get discovery\_url
  * bay-show doesn't return stack\_id
  * "lock\_path" from group "DEFAULT" is deprecated
  * Create trust\_id for bay
  * Add retrieve\_bay\_uuid in conductor\_utils
  * The type of number\_of\_masters should be int not string
  * Avoid to use common.cert\_manager directly
  * Share get\_discovery\_url in templates
  * Add missing bay\_create\_timeout to bay object
  * API: use baymodel\_ident to update a baymodel
  * Functional: Add testcase of tls\_enabled bay creation case
  * Swarm: Map master address to api\_address based on TLS
  * Added 'master\_addresses' to Bay in API
  * Replace oslo\_utils.timeutils.isotime
  * Devstack: Use HOST\_IP to set MAGNUM\_SERVICE\_HOST
  * Use oslo\_config PortOpt type for port options
  * Use \_assert\_has\_(no)\_errors() in hacking tests
  * Use assertIsNotNone instead of assertEqual(\*\* is not None)
  * Use assertIsNone instead of assertEqual(None, \*\*\*)
  * Use oslo\_config IPOpt support
  * Refactor periodic task sync\_bay\_status
  * Reduce complexity of poll\_and\_check method
  * Add functional\_creds.conf to .gitignore
  * Fix incorrect usage of CertManager in k8s\_api
  * Split test\_bay\_conductor tests
  * Read auth\_uri from config file and remove is\_public\_api
  * Modify admin\_api policy rule
  * Baymodel create should allow no network\_driver specified
  * Move 'docker\_for\_container' to a common module
  * Remove unnecessary util method temporary\_mutation
  * Rename "insecure" to "tls\_disabled"
  * Swarm: Set to CREATE\_FAILED status if swarm services not started
  * Swarm: Fix NODE\_SERVICES in template
  * Remove unused DB API get\_rcs\_by\_bay\_uuid
  * Add bay\_uuid to RC Read/Write API's
  * Add bay\_uuid to Service Read/Write API's
  * Add bay\_uuid to Pod Read/Write API's
  * Remove ERROR\_ON\_CLONE references
  * Fix funtional gate: specify missing network\_driver
  * Validates baymodel network\_driver requests
  * Change ignore-errors to ignore\_errors
  * Adds network\_driver Support of Container Network Model
  * Add registry\_enabled to api and db
  * Readme : Change swarm\_manager to swarm\_master
  * Change swarm\_manager to swarm\_master
  * Fix calling parameter at get\_cert/delete\_cert
  * Add test to local\_cert\_manager
  * Porting function\_exists to post\_test\_hook.sh
* Thu Apr 13 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev87:
  * Updated from global requirements
  * Fix CoreOS multi master with LB cluster creation
  * Fix CoreOS cluster creation and heat notify
  * Update Fedora images
* Wed Apr 12 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev80:
  * Fix usage of the trustee user in K8S Cinder plugin
  * Fix gate: Revert mesos image to ocata
* Thu Apr  6 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev77:
  * Remove old oslo.messaging transport aliases
  * Install client in install guide instructions
* Wed Apr  5 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev74:
  * Format the quickstart doc
* Mon Apr  3 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev72:
  * Add 'rm -f .testrepository/times.dbm' command in testenv
* Mon Apr  3 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev71:
  * Remove log translations
  * Add reno for cluster_user_trust option
* Wed Mar 29 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev67:
  * Fix db config
  * ci: Rename ssh key
* Tue Mar 28 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev64:
  * Use 'os_distro' instead of 'os-distro'
* Sat Mar 25 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev63:
  * Add "ca-rotate" command to userguide
* Thu Mar 23 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev61:
  * Move cover.sh to the tools directory
  * Remove support message for using keypair UUID
* Tue Mar 21 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev57:
  * Unbreak gate
  * Add CoreOS/K8s recommended defaults to kube-proxy
  * Updated from global requirements
  * Fix some grammar or spelling de-normalization
* Sat Mar 18 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev51:
  * [k8s] Monitoring with Prometheus and Grafana
  * Update quickstart to use OpenStack CLI
  * Fix exception codes
* Fri Mar 17 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev45:
  * Remove unused logging import
  * Delete redundant Magnum::Optional::Neutron::FloatingIP
* Wed Mar 15 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev41:
  * Glance v1 is deprecated and removed in devstack [1]
* Sun Mar 12 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev40:
  * Pass 'context' to create_client_files method
  * Pass 'client', 'message' param to AuthorizationFailure Exception
* Fri Mar 10 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev36:
  * Indicating the location tests directory in oslo_debug_helper
  * Updated from global requirements
  * Updated from global requirements
  * Fix api-ref with Sphinx 1.5
  * Set is_admin flag correctly in RequestContext
  * Prepare Kubelet for multiple container runtime
* Tue Mar  7 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev26:
  * Add admission control to CoreOS Driver
* Sun Mar  5 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev24:
  * Update docs to use positional name argument
* Sat Mar  4 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev22:
  * Set k8s apiserver preferred address type arg
* Fri Mar  3 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev21:
  * Update test requirement
  * Fix hyperkube_image_repo
* Tue Feb 28 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev19:
  * Remove reliance on osprofiler configuration section
* Sat Feb 25 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev18:
  * Fix: mesos gate tests
  * Magnum Development Policies
* Thu Feb 23 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev14:
  * Validate project-id on quota create
  * Update reno for stable/ocata
  * Fix CVE-2016-7404
* Wed Feb 22 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev9:
  * Missing root-ca-file parameter for proper service account support
  * [suse] Add SERVICE_ACCOUNT_KEY to Kuberneres cluster configuration
  * Add Kubernetes API Service IP to x509 certificates
  * Make INSECURE_REGISTRY_URL works for CoreOS
* Tue Feb 21 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev2:
  * [suse] Fix flanneld overlay network configuration
* Sat Feb 18 2017 cloud-devel@suse.de
- Update to version magnum-4.1.1.dev1:
  * Fix quota API get-all parameter type
  4.1.0
* Fri Feb 17 2017 cloud-devel@suse.de
- Update to version magnum-4.0.1.dev53:
  * Fix some typos
  * Fix for cluster-update rollback issue
* Thu Feb 16 2017 cloud-devel@suse.de
- Update to version magnum-4.0.1.dev51:
  * Add keypair to api-ref cluster create
  * Remove support for py34
  * Support magnum-api multiple process workers
* Wed Feb 15 2017 cloud-devel@suse.de
- Update to version magnum-4.0.1.dev46:
  * Fix quotas API pagination
  * [doc] install 'curl' as a prerequisite
  * Use variables for hyperkube and kube version
  * Switch to kubernetes upstream python client
* Tue Feb 14 2017 cloud-devel@suse.de
- Update to version magnum-4.0.1.dev38:
  * Add reno: bp secure-etcd-cluster-coe
  * Updated from global requirements
* Mon Feb 13 2017 tbechtold@suse.com
- Update to version magnum-4.0.1.dev36:
  * Updated from global requirements
  * Remove $myip when unnecessary and use KUBE_NODE_IP
  * Make KUBE_ALLOW_PRIV used for api server
  * Add microversion and release notes for quotas API
  * Don't enforce microversion for stats API
  * Remove heat-params sourcing
  * Improve consistency for SSL PATH accross template
  * Don't enforce microversion for rotate CA cert API
  * Remove carriage return when getting user token
  * Use https instead of http for git.openstack.org
  * [mesos] Use latest build for mesos image
  * Don't create clusters of an unsupported type
  * Fix missing $ in CoreOS proxy conf
  * Use heat-params in systemd unit
  * Trivial: Fix typo in exception message
  * K8S: Allows to specify admission control plugins to enable
  * Use right no proxy settings for swarm master and agent
  * Remove unused enforce_cluster_types decorator
  * [k8s] Get logs of controller-manager and scheduler
  4.0.0
  * Pass OpenStack-API-Version header in make-cert scripts
  * Make Kubernetes pods' health checks configurable
  * Upgrade to Fedora 25
  * Updated from global requirements
  * Resource Quota - API documentation
  * Resource Quota - Limit clusters per project
  * Add release note for BP OSProfiler in Magnum
  * Fix: Pass external_network to kube-minion
  * Updated from global requirements
  * Update MY_IP to use curl and metadata instead of cut
  * Fix getting capacity in k8s_monitor
  * Integrate OSProfiler in Magnum
  * Resource Quota - Adding quota API
  * [suse] Update security group for kube_masters
  * Use UUID instead of "00000" for UniqueId
- Adjust Requires and BuildRequires
* Wed Jan 25 2017 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev401:
  * Add an API to rotate a cluster CA certificate
  * Fix Ironic driver
  * Resource Quota - DB layer changes
  * Resource Quota - Add config option to limit clusters
  * Move scale managers at driver level
  * Move monitors at driver level
  * Fix LB heat template parameter name
  * [Doc] Update User Guide: User Examples
  * Updated from global requirements
  * Fix compatibility with novaclient 7.0.0
  * Add debug-py34 to tox.ini
  * [k8s_ironic] Move software configs out of minion
  * Added reno for stable/mitaka and stable/liberty
  * Replace naked exceptions in barbican_cert_manager
* Fri Jan 20 2017 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev376:
  * Magnum stats API documentation
  * [k8s_ironic] Move wc out of master resource group
  * [k8s_ironic] Move wc out of minion resource group
  * Magnum stats API
* Thu Jan 19 2017 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev368:
  * [Mesos]Move software configs out of resource group
  * [Mesos]Move wait condition out of resource group
* Wed Jan 18 2017 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev366:
  * [devstack] Copy bash_completion script during magnum installation
  * Remove extra spaces
  * [swarm] Fix cert filename in swarm-agent service
* Tue Jan 17 2017 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev360:
  * [Doc] Update quickstart Guide: Using a Kubernetes Cluster
  * Updated from global requirements
* Mon Jan 16 2017 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev358:
  * Remove unused context variable in db api
* Sun Jan 15 2017 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev357:
  * [suse] Add min and max to flannel_network_subnet option
  * Remove provision_state parameters(specific to ironic)
  * [k8s_coreos] Enable TLS in Etcd cluster
* Fri Jan 13 2017 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev351:
  * CI: Set storage driver to overlay
  * Use Kubernetes config to launch services pods
* Thu Jan 12 2017 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev347:
  * [swarm] Enable TLS in Etcd cluster
  * CI: Increase master-flavor size
  * Make private network optional
  * used openstack cli in magnum devstack plugin
* Tue Jan 10 2017 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev340:
  * Fix the incorrect initialization of context roles
* Sat Jan  7 2017 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev339:
  * Fully clean up requirement.txt dependencies
  * [suse] Update k8s_opensuse_v1 driver
  * Remove the usage of MagnumObjectDictCompat from magnum_service
  * [suse] Tune default value for docker_volume_size
  * Modify variable's using method in Log Messages
* Fri Jan  6 2017 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev330:
  * Fix gate: caused by tempest(removal of "service" param)
  * Remove PrettyTable useless requirement
  * [suse] Setting correct permissions for Kubernetes files
  * Updated from global requirements
  * Add cluster record to db right after API request
  * Remove the usage of MagnumObjectDictCompat from x509keypair
* Wed Dec 28 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev319:
  * [k8s_coreos] Remove podmaster
  * Remove the usage of MagnumObjectDictCompat from certificate
* Tue Dec 27 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev315:
  * Updated from global requirements
  * Removes unnecessary utf-8 encoding
  * Fix multiple typos in unit tests names
* Thu Dec 22 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev309:
  * Use correct context synching status
  * Make Docker proxy configuration consistent across template
  * List all the possibilities of cluster's name through a list
* Wed Dec 21 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev303:
  * Specification for Magnum stats API
* Tue Dec 20 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev301:
  * Import magnum.i18n._ in driver/heat/driver.py
  * Updated from global requirements
* Mon Dec 19 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev298:
  * cors: update default configuration
* Sat Dec 17 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev296:
  * Revert "devstack: Fix neutron configuration to run in OSIC"
* Fri Dec 16 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev294:
  * Update Swarm version to 1.2.5
* Fri Dec 16 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev293:
  * Updated from global requirements
  * [suse] Allow k8s cluster without floating ip
  * [suse] add support of LBaaS v2
  * [suse] Add proxy config
  * Consolidate heat network resources
  * [k8s_fedora_atomic] Enable TLS in Etcd cluster
  * Move cluster status notifications out of driver
  * Move cluster status updates into driver
  * Improve security for swarm
  * [suse] Sync with cluster drivers
* Thu Dec 15 2016 tbechtold@suse.com
- config cleanup
* Wed Dec 14 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev274:
  * [suse] Fix template descriptions
  * Change gate Fedora Atomic image to the automated f24 build
  * Add docker-d options in sysconfig/docker
  * [install] Fix endpoint creation
* Sun Dec 11 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev267:
  * Updated from global requirements
* Sat Dec 10 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev265:
  * Disable horizon, ceilomter and swift in gate hook
  * Missing lines in lb refactor for CoreOS driver
  * Remove docker_volume_size from functional-test
  * Disable horizon, swift and ceilometer
  * Refactor driver interface (pt 1)
* Fri Dec  9 2016 tbechtold@suse.com
- package conf.d dir
* Thu Dec  8 2016 aplanas@suse.com
- systemd: remove Wants from services.
* Thu Dec  8 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev257:
  * Add bashate checks to pep8 step
  * Add a SELinux policy to relabel files in /usr/local/bin as bin_t
  * [doc|install_guide] Fix 'host' config param in [api] section
  * Factorize load balancer code into its own template
  * [k8s_fedora_atomic] Remove podmaster
  * functional: don't create flavors if ironic testing
  * DIB elements to support dcos for magnum
  * Add RESUME_FAILED to cluster's status field
* Wed Dec  7 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev241:
  * Updated from global requirements
  * [ironic][doc] Updated ironic image build doc
  * Use keystone v3 for functional tests
  * Show team and repo badges on README
* Tue Dec  6 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev234:
  * [mesos]remove redundant security group
  * Disable lbaas from ci tests
* Sat Dec  3 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev231:
  * func-test-docs: Use iniget and set concurrecy 1
* Fri Dec  2 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev230:
  * k8s_ironic: fix minion template
* Thu Dec  1 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev229:
  * Remove underscores from Nova server names
* Wed Nov 30 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev227:
  * Doc: update server type in userguide
* Tue Nov 29 2016 tbechtold@suse.com
- Fix binary names in .service files
* Sat Nov 26 2016 aplanas@suse.com
- Switch to systemd service files
- Fix tmpfiles creation
* Sat Nov 26 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev226:
  * Updated from global requirements
* Fri Nov 25 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev225:
  * Remove KEYSTONE_CATALOG_BACKEND from magnum plugin
  * Reduce security groups # for k8s coreos cluster
  * Combine master security groups in k8s driver
* Wed Nov 23 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev219:
  * [trivial] Fix DIB element path in Readme
  * [suse] Add hidden attr to password in the Heat Template
  * Enable DeprecationWarning in test environments
* Tue Nov 22 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev214:
  * Fix few typos in documents
  * fix cover.sh to allow db version changes without ut
* Sun Nov 20 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev210:
  * Remove unnecessary use of sudo in k8s scripts
* Sat Nov 19 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev208:
  * Use 'code-block' for pieces of code
  * Fix a typo
  * Updated from global requirements
  * Add Flatten Attributes Specification
  * [Trivial] Fix two typos in magnum
  * corrected hyperlink typo fix
  * add cluster and clustertemplate to fake_policy.py
  * Add docker daemon systemd proxy variables
  * [coreos] Allow k8s cluster without floating ip
  * Using sys.exit(main()) instead of main()
* Thu Nov 17 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev188:
  * Fix typo in cover.sh
  * Drop id suffix in launch-an-instance guide
  * [docs]Update quickstart guide to use cluster-config command
  * [install] Update rabbitmq configuration
  * Add insecure option in functional tests for SSL endpoints
* Wed Nov 16 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev180:
  * Set config param [DEFAULT]/host to hostname
  * Remove out-dated method for installing in Devstack
  * Updates Documentation for non-ID Params
* Mon Nov 14 2016 slunkad@suse.com
- Adds/Removes entries from spec file
  * Removes magnum-template-manage
  * Adds magnum-driver-manage
* Fri Oct 14 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev116:
  * Make k8s cloud config consistent
  * Centralize config option: docker_registry section
  * Centralize config option: urlfetch and periodic
  * Clean rc from unit tests
  * Fix the config args of kubernetes service
  * Fix PEP8 issues, OpenStack Licencing and Version details
  * [api-ref] configure LogABug feature
  * Remove fixed_network from functional tests
* Tue Oct 11 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev100:
  * Remove rc from policy.json
  * Cluster Drivers
  * Revises 'json' to 'JSON' and 'yaml' to 'YAML'
* Mon Oct 10 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev94:
  * Implement mesos cluster smart scale down
* Sun Oct  9 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev92:
  * Remove safe_utils.py
* Sat Oct  8 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev90:
  * Disable cert checks while talking to endpoints
  * Allow keypair to be added during cluster create
  * Remove not really translated file
  * Remove yamlutils.py
* Fri Oct  7 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev82:
  * Updated from global requirements
  * [api-ref] Remove temporary block in conf.py
  * Add dns server access confirmation
  * [k8s_common]Remove enable-etcd.sh
  * Remove k8s_manifest.py
  * Remove Exceptions for Container/Pod/Service
  * [mesos] Make dib scipts executable
* Thu Oct  6 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev68:
  * devstack: Fix neutron configuration to run in OSIC
  * [mesos]Fix output param: mesos_slaves_private
* Mon Oct  3 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev65:
  * Fix K8s load balancer with LBaaS v1
* Wed Sep 28 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev63:
  * Fix typo 'mesoscluster' to 'mesos-cluster'
* Mon Sep 26 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev62:
  * Updated from global requirements
  * Remove default=None when set value in Config
* Sun Sep 25 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev59:
  * Update Fedora Atomic element from 23 to 24
  * Centralize config option: x509 section
  * Centralize config option: keystone_auth section
  * Centralize config option: trust section
  * Centralize config option: certificates section
  * Centralize config option: docker section
  * Centralize config option: service section
  * Centralize config option: rpc periodic section
  * Centralize config option: utils section
  * Centralize config option: database section
  * Centralize config option: paths section
* Sat Sep 24 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev37:
  * Fix quickstart guide URL
  * Fix typo 'duplcate' to 'duplicate' in status.yaml
  * Centralize config option: cluster_heat section
  * Centralize config option: cluster_template section
  * Centralize config option: conductor section
  * Centralize config option: cluster section
  * Centralize config option: all clients section
  * Centralize config option: api section
  * Add Horizon and Native Clients to user guide
* Fri Sep 23 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev19:
  * Fix k8s_fedora to work with cinder volume driver
  * Update name of ubuntu-mesos image
  * Register master node but make it non schedulable
  * Remove unnecessary setUp and tearDown
  * [suse] Sync heat template version with other drivers
  * TrivialFix: Remove logging import unused
* Thu Sep 22 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev9:
  * Split swarm atomic template
  * Updated from global requirements
  * Restrict server type only to vm/bm
* Wed Sep 21 2016 cloud-devel@suse.de
- Update to version magnum-3.1.1.dev5:
  * Init magnum centralize config
  * Update reno for stable/newton
  * Delete coreos driver elements directory
  3.1.0
  * Updates Ubuntu Mesos build
  * [install] Fix keystone_authtoken and trust sections
  * Add optional magnum-ui in quickstart
  * delete python bytecode including pyo before every test run
  * Updated from global requirements
  * [install] Fix the cli install instructions
  * Fix the order of enabling devstack plugin
  * Update kubernetes external load balancer dev guide
  * [suse] Fix OS::stack_id in kubeminion
  * Restrict magnum service name
  * modify the home-page info with the developer documentation
* Fri Sep 16 2016 cloud-devel@suse.de
- Update to version magnum-3.0.1.dev88:
  * [install] Fix optional services bullet-list
  * Use heat devstack plugin
  * Add exceptions to cluster db to show failures
* Thu Sep 15 2016 cloud-devel@suse.de
- Update to version magnum-3.0.1.dev82:
  * [install] Add cli install in IT
  * [install] Add launch an instance section
  * [install] Update required services and remove bay
  * [suse] Rename bay to cluster
* Wed Sep 14 2016 cloud-devel@suse.de
- Update to version magnum-3.0.1.dev76:
  * Create sysconfig mount for kubernetes controller mgr
* Tue Sep 13 2016 cloud-devel@suse.de
- Update to version magnum-3.0.1.dev75:
  * Split k8s atomic vm and ironic drivers
* Mon Sep 12 2016 cloud-devel@suse.de
- Update to version magnum-3.0.1.dev73:
  * Updated from global requirements
  * Cleanup coverage configuration
* Sat Sep 10 2016 cloud-devel@suse.de
- Update to version magnum-3.0.1.dev70:
  * Create bay/cluster api reference
  * Disable lbaas on k8s-ironic job
  * Create baymodel/cluster template api reference
  * Add Scaling section to User Guide
  * Add Support of LBaaS v2 API
* Fri Sep  9 2016 cloud-devel@suse.de
- Update to version magnum-3.0.1.dev62:
  * Rename Bay DB, Object, and internal usage to Cluster
  * Fixed fetching api_server address
  * Update fedora image for ironic driver
* Thu Sep  8 2016 cloud-devel@suse.de
- Update to version magnum-3.0.1.dev56:
  * Fix swarm functional tests
  * Add support for overlay networks in Swarm
  * Remove magnum service Dockerfile
* Wed Sep  7 2016 cloud-devel@suse.de
- Update to version magnum-3.0.1.dev51:
  * Improve unit test coverage for cmd/db_manage.py
  * Make magnum manage_template read config file and increase coverage
  * Factor out common k8s definitions and mappings
  * Consolidate enable docker registery fragments
  * Add rexray volume driver to Swarm
  * Correctly raising MagnumServiceNotFound exception
  * Use cls in class method and remove unused CONF
  * Add missing release notes
  * Install Guide: Set bug project
  * Correction in quickstart
  * Use werkzeug to run Magnum API with SSL
  * Clean up docstrings in BayModel
  * Remove reference: 'modindex'  from releasenotes documentation
* Tue Sep  6 2016 cloud-devel@suse.de
- Update to version magnum-3.0.1.dev30:
  * Clean imports in code
  * Fix typo in quickstart guide
  * Remove Invalid README.md for mesos
* Sun Sep  4 2016 cloud-devel@suse.de
- Update to version magnum-3.0.1.dev25:
  * Update documentation with bay/cluster version info
* Sat Sep  3 2016 cloud-devel@suse.de
- Update to version magnum-3.0.1.dev23:
  * Add python-dev and kpartx to mesos img build
  * Fix mesos image dockerfile elements location
  * Fix dev quickstart pointer to mesos img build
  * Consolidate configure docker storage fragments
  * Fix release note
  * Updates drivers from BayModel to ClusterTemplate
  * Rename BayModel DB, Object, and internal usage to ClusterTemplate
* Fri Sep  2 2016 cloud-devel@suse.de
- Update to version magnum-3.0.1.dev10:
  * Rename bay to cluster in certificate object and references
  * Update service-list output in quickstart
  * Updates CONF usage from bay to cluster
* Thu Sep  1 2016 cloud-devel@suse.de
- Update to version magnum-3.0.1.dev4:
  3.0.0
  * Rename Bay to Cluster in functional tests
  * Include version info in bay/cluster show operation
  * Fix bay status: after bay-delete status is not DELETE_IN_PROGRESS
  * Revert "Update mesos slave to mesos agent"
  * Create certificates api reference
  * Create mservices api reference
  * Create version api reference
* Wed Aug 31 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev658:
  * Fix incorrect reference to bay-template-example.html
  * Add history for API versions supported by magnum
  * Make templates env path be const variable
  * Allow k8s cluster without Floating IP
  * Bay to Cluster api cleanup
* Tue Aug 30 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev648:
  * Updated from global requirements
  * Init api-ref structure and requirements
  * Compare test coverage with the master branch
  * To use cinder with rexray downgrade to version: 0.3.3
  * Rename Bay to Cluster in docs
* Mon Aug 29 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev639:
  * Removed not required style.css file
* Sat Aug 27 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev638:
  * Get mandatory patch attrs from WSME properties
* Fri Aug 26 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev636:
  * Openvswitch image build
* Thu Aug 25 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev634:
  * Add cluster to cert commands
* Wed Aug 24 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev632:
  * Updates k8s example rc to use correct label
* Tue Aug 23 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev630:
  * Simplify test_create_list_sign_delete_clusters() tempest test
  * Add Mesos labels and summary for labels
* Mon Aug 22 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev627:
  * Updated from global requirements
  * Revert "Use symlinks for common template files"
  * Rename Bay to Cluster in api
  * Use upper constraints for all jobs in tox.ini
  * Add floating_ip_enabled field to baymodel
  * Increase in UT coverage
  * Fix tempest.conf generation
  * Align k8s CoreOS with atomic: add proxy config
  * Update to User Guide
  * Rollback bay on update failure
  * Set bay status: DELETE_IN_PROGRESS before updated by poll
  * Add i18n translation for Log messages
  * Increase test coverage
  * Fix an issue on kube-proxy in CoreOS bay
  * Fix the CoreOS fragment write-kubeconfig.yaml
  * Correct the get_file patch in CoreOS template
  * Increased UT of magnum/api/app.py
  * Updated from global requirements
  * Add test for update baymodel public
  * Improve unit test coverage for cmd/conductor.py
  * Improve unit test coverage for cmd/api.py
  * Improve unit test coverage for common/service.py
  * Support for async bay operations
  * Fix indentation and if expressions in make-cert
  * Use memory mode for sqlite in db test
  * Functional: validate OpenStack resources
  * Use symlinks for common template files
  * Add openSUSE driver support to Magnum
  * Increased test coverage
  * Remove Invalid README.md for k8s
  * Makes config file generation reproducible
  * Add functional test for k8s ironic
  * Fix ironic template
  * Use kubelet-wrapper provided by CoreOS
  * Add support for master elected component
  * Drop MANIFEST.in - it's not needed by pbr
* Sat Aug 13 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev555:
  * Change stacks:global_index heat policy to context_is_admin
* Fri Aug 12 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev553:
  * Remove ReplicationController object
  * Re: Remove dependency of metadata service
  * Support HA for k8s coreos bay
  * Pass missing variables to heat-params
  * Fix for enum type docker_storage_driver
* Tue Aug  9 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev543:
  * Updated from global requirements
  * Remove kube-user.yaml
  * Fix copying logs from nodes
  * Updated from global requirements
  * Add microversioning support for methods
  * Correct hyperlink syntax in userguide
  * Restricted Magnum service state to 'up' and 'down'
  * API: restrict length of bay's name to 242
  * Updated from global requirements
  * Remove container object
  * Add TLS section to User Guide
  * Add functional test for public baymodel
  * Create a base class for tempest tests
  * Add Bay section to User Guide
  * Remove unnecessary code
  * k8s_coreos_driver: cleanup file naming
* Tue Aug  2 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev514:
  * Add hacking rule for explicit import of _ function
  * Add functional test for image/flavor validation
  * Consolidate heat fragments
  * Fix some simple mistake
  * Bay name must start with alphabets only
* Thu Jul 28 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev504:
  * Fix global stack list in periodic task
  * k8s: Remove unused volume mount for kube-proxy
  * Added hacking check to ensure LOG.warn is not used
  * Correction in heat template description
  * add hacking for assertIsNotNone
* Wed Jul 27 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev494:
  * De-duplicate the decouple-LBaaS-related files
  * Corrected import module in gmr.rst
  * Fix typo in baymodel param
  * Move common/fragments into templates directory
  * Pass private ip address to scale manager
  * Remove  repeated WaitConditionHandle resource
* Sat Jul 23 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev482:
  * Updated from global requirements
* Fri Jul 22 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev481:
  * fix bug for configure-kubernetes-minion.sh
  * Fix the permission of these files  -rwxr-xr-x
  * Add Mesos section to User Guide
  * Set swarm api_address protocol to tcp on all cases
  * Add check on docker_volume_size
  * [install] Add debian and ubunutu IGs
  * [install] Refactor configuration in IG
  * Updated from global requirements
  * Removed unwanted files
  * Fix wrong COE name in template
  * modify test_assert_is_not_none
  * Formatting userguide
  * Update mesos slave to mesos agent
  * Updated from global requirements
  * Add i18n support for some ERROR message
  * Fix for k8s bay creation stall
  * Correction in kube-ui-service.sh script
  * Update default version of heat template
* Sat Jul 16 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev445:
  * Replace "LOG.info(_" with "LOG.info(_LI"
  * Allow swarm cluster without LBaaS
  * Fix bug for write-kube-os-config.sh
  * Support the OpenStack-API-Version header
* Fri Jul 15 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev437:
  * Updated from global requirements
  * Nit documentation formatting
  * Add Python 3.5 classifier and venv
* Thu Jul 14 2016 dmueller@suse.com
- sync sudoer settings with other projects
* Thu Jul 14 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev432:
  * Allow mesos cluster without LBaaS
  * Replace assertEqual(None, *) with assertIsNone in tests
  * Fix OS::stack_id is set as stack id instead of private ip
  * Remove unused LOG to keep code clean
  * Add "WAIT_CURL" parameter to the template of swarm
  * Fix string declaration in periodic.py
  * Misspelled text corresponding to method 'get_template_definition' is commited
* Wed Jul 13 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev419:
  * Correct the rest of the reraising of exception
  * k8s coreos bay driver
  * Bay driver: k8s Fedora Atomic
  * tempest: Allow the old-style name project name
  * Updates microversion root and error messages
  * Improve validation for the external network parameter
* Sun Jul 10 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev408:
  * Nit document formatted
* Sat Jul  9 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev406:
  * Remove dependency of metadata service
  * Add description to the output_key of stack
  * Correct reraising of exception
  * tempest: Don't hardcode external network id
  * Change the type of flannel_network_subnetlen to 'number'
  * Delete unused discovery_url for swarm
  * Allow k8s cluster without LBaaS
  * Mesos-Ubuntu bay driver implementation
  * Add a explanatory text when flavor is None
  * Change service name from "magnum" to "container-infra"
* Fri Jul  8 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev386:
  * Move common bay drivers fragments in common dir
* Thu Jul  7 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev385:
  * Bay driver implementation
  * Move Initialization of variables inside if/else
  * Bay_create_timeout should be set to 60 default
  * Fix typos for Magnum
  * Fixed typo for Availability
  * Fix typos in resource-quotas.rst
  * Add Bay Drivers section in user guide
  * Updated from global requirements
  * Delete certs when deleting bay
  * Add fixed_subnet field to baymodel
  * Improve unit test coverage
  * Validate discovery url when create a bay
  * Fix typo in create-trustee-user-for-each-bay.rst
  * Fix typo in async-container-operation.rst
  * Add Baymodel section to User Guide
  * [install] Add obs install-guide
  * Fix file permission in dib elements
  * Add master_lb_enabled field to baymodel
  * Allow Bay templates to include Heat environments
  * Pass some common cert related arguments to clients
  * Fix DIB dependencies for >= Fedora 22
  * Fix docker storage drivers configuration
  * Updated from global requirements
  * Delete unused cert_group variable
  * Modify mesos template to support removal policy
  * Add x509keypair_cert_manager to store certs in DB
  * Remove K8sResourceBase
* Wed Jul  6 2016 tbechtold@suse.com
- Add tempest tests to python-magnum package.
  The package also contains the entry point definition and listing
  tempest tests would fail if the tempest plugin entry point is
  not there.
- Remove remove-tempest-entry-point.patch
* Mon Jun 27 2016 jsuchome@suse.com
- Add systemd service macros (bnc#986415)
  systemd v228 has a separate generator for generating the service
  files from the init scripts, and daemon-reload is needed during
  package installation
* Fri Jun 24 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev334:
  * [install] Add install guide from template for rdo
  * Add Swarm section to User Guide
* Thu Jun 23 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev330:
  * Make 'signing csr' accept Unicode CA Private key
  * Updated from global requirements
  * Use kojipkgs for diskimage-builder
* Wed Jun 22 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev324:
  * Updated from global requirements
* Tue Jun 21 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev322:
  * Modify the manual-devstack document for copying api-paste.ini
* Sat Jun 18 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev321:
  * Wrong parameter in InvalidName exception message
  * Auto generate Bay/BayModel name
  * Moving feroda atomic image to the bay driver folder
  * Fix typo in open-dcos.rst file
* Fri Jun 17 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev314:
  * Load heat-params before setting nounset
  * Change here doc limit strings to fix EOF in EOF
* Thu Jun 16 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev310:
  * Updated from global requirements
  * Add Kubernetes section to User Guide
* Wed Jun 15 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev306:
  * Remove unused POT files
  * Gate: fix the credential object type error
  * Fix cli usage to get ca.crt and client.crt
  * Set 'nested_depth=2' when calling heat.resources.list
  * Delete duplicate statement
* Sun Jun 12 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev297:
  * Updated from global requirements
* Sat Jun 11 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev296:
  * Run the unit tests to test magnum objects
  * First check whether output_value is None
  * Duplicated parameter definition in template
  * Put fault info of bay resources into bay-show outputs
  * Support trustee_domain_name in config file
  * Fix get_coe_valodator() clear unused Validator
  * Fix indentation in install-guide
  * Updated from global requirements
  * Remove service object
* Sun Jun  5 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev280:
  * [install] Add install guide from source
  * Update microversion header to include service type magnum
* Fri Jun  3 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev276:
  * Fix string format in cmd/conductor
  * Spec for Open DC/OS and Magnum Integration
  * Add docker-storage-driver attribute to baymodel
  * Update swarm templates to use Heat resources
  * Fix Kubernetes-related deprecation in quickstart
  * Update for Swarm Bay quickstart docs
* Wed Jun  1 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev266:
  * Add Bay Drivers specification
  * Updated from global requirements
  * X509keypair cleanup
  * Support using insecure registry for k8s COE
* Tue May 31 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev258:
  * Delete unused _admin_client variable
  * Updated from global requirements
  * Fix an EndpointNotFound error
  * Remove redundant exceptions code
* Sun May 29 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev251:
  * Updated from global requirements
  * Use fixtures.TempDir in unit tests
  * Remove pod object
  * Remove redundant utils code
  * devstack: fix magnum service name in is_magnum_enabled
  * Add mesos_slave_executor_env_variables validate
* Sat May 28 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev239:
  * Fix spelling error on get_docker_quantity method
* Fri May 27 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev237:
  * Use oslo_utils.is_int_like support
  * Use oslo_utils.uuidutils support
  * Update Magnum service name and description
* Thu May 26 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev232:
  * Add accidentally deleted test_hooks.py
  * Gate: fix tempest config error
* Tue May 24 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev230:
  * Updated from global requirements
  * Document usage of notifications
  * Add insecure_registry column to baymoddel
  * Remove k8s APIs pod, rcs, svc and container API
* Mon May 23 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev224:
  * Register k8s node but make it unschedulable
* Sat May 21 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev223:
  * Fix the swarm test for gate
  * Add Storage section in user guide
  * Updated from global requirements
  * Update Image section in user guide
  * Added "Choosing a COE" to user guide
* Fri May 20 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev214:
  * Emit notifications when bay operations get executed
  * Fix two issues on k8s bay
* Thu May 19 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev210:
  * Move k8s specific terms to k8s section
  * Code refactoring in conductor/k8s_api.py
  * Honor insecure and cafile options in a trustee session
  * Updated from global requirements
  * Fix the quickstart guide for using kubectl
* Sun May 15 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev202:
  * Updated from global requirements
* Sat May 14 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev201:
  * Correct attribute name in TestListBayModel
  * Update documentation to use native APIs
  * Updated from global requirements
  * Cleanup in Mesos template
  * Always expand Baymodel fields
  * Correct parameter order for assertEqual() method
  * Add mesos_slave_image_providers validate
  * Enable TLS support for k8s CoreOS
* Fri May 13 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev185:
  * Add troubleshooting steps for trustee creation
* Thu May 12 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev183:
  * Corrected spelling mistake in quickstart.rst
* Wed May 11 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev181:
  * Revert "Remove KUBE_API_PUBLIC_ADDRESS"
  * Updated from global requirements
  * Use the latest atomic image name
* Mon May  9 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev175:
  * Start using fedora atomic images that live in our mirrors
  * Add mesos_slave_isolation validate
  * Add tox test for k8s coreos bay
  * Fix parameter mismatch in CoreOS templates
  * Copy logs if test failed and bay nodes existed
  * Remove KUBE_API_PUBLIC_ADDRESS
  * Update docs to use the latest image link
  * Replace tempest-lib with tempest.lib
  * Add docker registry support for swarm
  * Updated from global requirements
  * [Trivial] Remove executable privilege of doc/source/conf.py
  * Updated from global requirements
  * Functional: Add prefix when copy logs on failure
  * Update outdated doc index file
  * Add script to validate fedora atomic images
  * Heat params are different in swarm master and swarm node
* Mon May  9 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev145:
  * Updated from global requirements
* Mon May  9 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev144:
  * Cleanup some validation functions
  * Healthcheck Middleware
* Thu Apr 21 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev141:
  * Grab heat-params for debugging
* Wed Apr 20 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev139:
  * Enable Mesos Bay export more slave flags
* Wed Apr 20 2016 cloud-devel@suse.de
- Update to version magnum-2.0.1.dev137:
  * Updated from global requirements
  * Log copy for failed functional tests cannot be disabled
  * devstack: Use magnum-api and magnum-cond for services
  * Fix container-create memory not passed
  * Imported Translations from Zanata
  * Fix specs reference rst format
  * Remove constraints envs from tox.ini
  * Fix post jobs
  * Imported Translations from Zanata
  * Use k8sclient library
  * Gate: Remove neutron-lbaas devstack plugin
  * Functional tests should support DNS nameserver config
  * Fix bashisms in k8s conf minion template fragment
  * Fix bashisms in k8s os config template fragment
  * Docs: switch to neutron-lbaas plugin
  * Move project-configs to gate hook
  * Updated from global requirements
  * Fix bashisms found in swarm template fragments
  * Config docker registry in devstack
  * Add support for docker registry
  * Updated from global requirements
  * Fix the rst url format
  * Add subjectAltName back to CSR config
  * Fix bashisms found in shell scripts
  * Fix uuid cases with real UUID
  * replace wsexpose by magnum.api.expose.expose
  * Add script to install image build dependencies
  * Fix doc for certificate
  * Format template
  * update doc for ca-show and ca-sign
  * Notify Heat only if kube-apiserver is running
  * Update Kube version for latest image
  * Fix two issues that broke the gate
  * Updated from global requirements
  * Doc: fix flannel etcd key
  * Fix wrong parameter while creating bay
  * Use fedorapeople for getting fedora image
  * Fix an incorrect key path on copying logs
  * Bay can not be deleted by other users in the same project
  * Use trust for tls cert generation in swarm
  * Add cpu util to K8sMonitor
  * Add reno to Magnum
  * Updated from global requirements
  * Magnum's tox test should respect upper-constraints
  * Update Using Container Volume Integration Feature doc
  * Add Container Volume Model into Kubernetes Heat Templates
  * (Quick-Fix) Adds back tempest identity back to gate
  * Correct wrong parameter passing when create k8s_api in  k8s monitor
  * NotAcceptable exception should be  406
* Tue Apr 19 2016 tbechtold@suse.com
- Fix default config for policy file
* Tue Apr 19 2016 tbechtold@suse.com
- Fix default config and use local certificates store
* Mon Apr 18 2016 tbechtold@suse.com
- Fix sample config generation
* Wed Apr 13 2016 tbechtold@suse.com
- Add remove-tempest-entry-point.patch to disable tempest tests.
* Tue Apr 12 2016 tbechtold@suse.com
- Initial openstack-magnum package (version 2.0.1.dev52)
